repo/gentoo:master commit in: dev-python/pycairo/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786169234.2fd94594c699388a2d8e0b21a29edb235792cb7e.mgorny@gentoo> |
commit: 2fd94594c699388a2d8e0b21a29edb235792cb7e
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 8 05:27:03 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 8 06:07:14 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2fd94594
dev-python/pycairo: Bump to 1.29.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pycairo/Manifest | 1 +
dev-python/pycairo/pycairo-1.29.1.ebuild | 74 ++++++++++++++++++++++++++++++++
2 files changed, 75 insertions(+)
diff --git a/dev-python/pycairo/Manifest b/dev-python/pycairo/Manifest
index 2ed4b13d238e..ca2045581876 100644
--- a/dev-python/pycairo/Manifest
+++ b/dev-python/pycairo/Manifest
@@ -1 +1,2 @@
DIST pycairo-1.29.0.tar.gz 665871 BLAKE2B 25c2630923fd209bcdf21a3e0dce6ef5218c52eb5373bc6072174acfbb26c3dd908bc22308a3bf6b749216c10534ef79f2a7ad305c4f8eee694455e27b43e78f SHA512 c685fbdce764ca89e719ebcc8f966227a6c144c8e128945bf9c3411212a01759c016fd3267714328a5a242b37e3a5dd9aab4fc120193afdedb74596522a3cd2f
+DIST pycairo-1.29.1.tar.gz 666272 BLAKE2B e1243623dd35a3560f4af9af2fedff6d7d0f7082c10ac6b4088706643d54f30c1253e7457b2c0f5eab74bc02109d26796201da3a6949570a09acafc4ca25587f SHA512 98fdff8365b1d798b10eea5e56b2d8ce6bc46d73d9a1f628b2e27fa2b88646866d74088001210860756fff4336dba6f9d93b2801c55a67e224659d242b18c85f
diff --git a/dev-python/pycairo/pycairo-1.29.1.ebuild b/dev-python/pycairo/pycairo-1.29.1.ebuild
new file mode 100644
index 000000000000..a34c50d011f4
--- /dev/null
+++ b/dev-python/pycairo/pycairo-1.29.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+# we aren't using meson-python, as that results in removing .pc file
+# https://bugs.gentoo.org/966038
+DISTUTILS_USE_PEP517=no
+PYTHON_COMPAT=( python3_12 python3_{13..15}{,t} pypy3_11 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit meson distutils-r1
+
+DESCRIPTION="Python bindings for the cairo library"
+HOMEPAGE="
+ https://www.cairographics.org/pycairo/
+ https://github.com/pygobject/pycairo/
+ https://pypi.org/project/pycairo/
+"
+SRC_URI="
+ https://github.com/pygobject/${PN}/releases/download/v${PV}/${P}.tar.gz
+"
+
+LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="X examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=x11-libs/cairo-1.15.10[svg(+),X?]
+"
+DEPEND="
+ ${RDEPEND}
+ x11-base/xorg-proto
+"
+BDEPEND="
+ virtual/pkgconfig
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-rtd-theme
+EPYTEST_PLUGINS=( hypothesis )
+distutils_enable_tests pytest
+
+python_compile() {
+ local emesonargs=(
+ # TODO: move that to the eclass?
+ -Dpython.bytecompile=2
+ -Dtests="$(usex test true false)"
+ -Dno-x11="$(usex X false true)"
+ )
+
+ meson_src_configure
+ meson_src_compile
+}
+
+python_test() {
+ cd "${BUILD_DIR}" || die
+ epytest
+}
+
+python_install() {
+ meson_src_install
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}